Subject: Re: bug#32549: Allow passing custom options to vc-git-grep

From: Noam Postavsky <[email-masked]>
Date: Mon, 27 Aug 2018 19:20:50 -0400

Federico Tedin <[email-masked]> writes:

> When using vc-git-grep, it is not possible to pass custom options to
> the git grep command. It would be good to have a customizable template
> variable for vc-git-grep (like grep-command or grep-find-command) to
> allow for more customization. I am willing to implement this feature
> assuming there's no other possible workaround.

Does C-u help?  From the docstring:

    With C-u prefix, you can edit the constructed shell command line
    before it is executed.
    With two C-u prefixes, directly edit and run ‘grep-command’.